telemetry.web_perf.smooth_gesture_util | index telemetry/web_perf/smooth_gesture_util.py

`# Copyright 2014 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.`

Modules
`` |  |
copy | telemetry.web_perf.timeline_interaction_record |  |

Functions
`` |  | GetAdjustedInteractionIfContainGesture(timeline, interaction_record) `Returns a new interaction record if interaction_record contains geture whose time range that overlaps with interaction_record's range. If not, returns a clone of original interaction_record. The synthetic gesture controller inserts a trace marker to precisely demarcate when the gesture was running. We check for overlap, not inclusion, because gesture_actions can start/end slightly outside the telemetry markers on Windows. This problem is probably caused by a race condition between the browser and renderer process submitting the trace events for the markers.`